Salve a tutti,
sono più che incapace con Ubuntu, ma dovrei scaricare l'editor Emacs. Il problema è che dopo aver provato a scaricare i pacchetti da Internet ed estratti visto, che erano zip, il terminale mi dice, quando provo a fare

sudo apt-get install emacs 
E: impossibile trovare il pacchetto 'emacs'...

Mi potreste dire passo passo, come se fossi un bambino di 3 anni (è come se lo fossi), cosa (e come) devo fare per scaricare questo benedetto Emacs?

Grazie!

chiesto 29 Nov '14, 16:40

Jacopo's gravatar image

Jacopo
35114

modificato 29 Nov '14, 17:31

enzotib's gravatar image

enzotib ♦♦
14.0k112186


Se cerchi un programma e non sai cosa installare, puoi semplicemente digitare il nome del comando sul terminale e premere invio. Se il programma non è installato, il terminale restituirà un messaggio come il seguente (grazie al pacchetto command-not-found):

enzotib@utopic:~$ emacs
Il programma "emacs" può essere trovato nei seguenti pacchetti:
 * emacs24
 * emacs24-nox
 * e3
 * emacs23
 * emacs23-lucid
 * emacs23-nox
 * emacs24-lucid
 * jove
Provare: sudo apt-get install <PACCHETTO SELEZIONATO>

Ora c'è solo l'imbarazzo della scelta. Io ti consiglio di installareemacs24:

sudo apt-get install emacs24

Però ti segnalo che Emacs non è un editor facile da usare, sei sicuro che con le tue dichiarate scarse competenze vuoi proprio usare Emacs? Anche tenendo conto che ci sono una miriade di altri editor in giro con tutte le funzionalità che si possano desiderare e più facili da usare.

coll. permanente

ha risposto 29 Nov '14, 17:29

enzotib's gravatar image

enzotib ♦♦
14.0k112186

modificato 29 Nov '14, 17:30

Ho provato a fare:

sudo apt-get install emacs24

ma mi dice :

asus@asus-X550CC:~$ sudo apt-get install emacs24 Lettura elenco dei pacchetti... Fatto Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto E: Impossibile trovare il pacchetto emacs24

ma anche scaricando vari pacchetti continua a darmi questo messaggio... Vorrei emacs perché all'università usiamo quello...

(29 Nov '14, 17:56) Jacopo Jacopo's gravatar image

Credo che sia un problema di download a questo punto... Dove posso scaricare i pacchetti di emacs? Poi li estraggo perché saranno zippati; ma poi che devo fare? Grazie :D

(29 Nov '14, 18:04) Jacopo Jacopo's gravatar image
1

@Jacopo: per prima cosa non usare le risposte, a meno che tu non voglia dare una soluzione al problema, usa invece i commenti.
Come seconda cosa, non credo che sia utile aggirare il problema, se non riesci a installare quel pacchetto, probabilmente non riuscirai neanche ad aggiornare il sistema, quindi il problema va risolto. Che versione di Ubuntu utilizzi?

(29 Nov '14, 18:30) enzotib ♦♦ enzotib's gravatar image

Quoto @enzotib, o la distro non è più supportata o hai problemi con apt su 14.10 mi da

apt-cache policy emacs
emacs:
Installato: (nessuno)
Candidato:  46.0
Tabella versione:
46.0 0
500 http://archive.ubuntu.com/ubuntu/ utopic/main amd64 Packages

se se provo a installarlo così

sudo apt-get install emacs

mi installa emacs24

(29 Nov '14, 19:08) anonimo01 anonimo01's gravatar image

Scusate se ho pubblicato troppe risposte! Ho anche io ubuntu 14.10 La procedura quindi sarebbe: 1) digitare sul terminal: "apt-cache policy emacs (fatto e mi da di nuovo: impossibile trovare il pacchetto emacs) e poi installarlo con sudo apt-get install emacs? Dove potrebbe essere il mio problema e come risolverlo?

(29 Nov '14, 19:26) Jacopo Jacopo's gravatar image

Ho visto anche che se inserisco il comando "find programmi" (è una mia cartella) mi da "no such files or directory"... quel comando mi dovrebbe trovare la mia cartella giusto?

(29 Nov '14, 19:31) Jacopo Jacopo's gravatar image

posta gli output di questi

cat -n /etc/apt/sources.list

e

sudo apt-get update

incolla gli output qui http://paste.ubuntu.com e posta il link

(29 Nov '14, 19:34) anonimo01 anonimo01's gravatar image

cat -n /etc/apt/sources.list mi da questo : http://paste.ubuntu.com/9303848/

(29 Nov '14, 20:44) Jacopo Jacopo's gravatar image

posta anche l'update

(29 Nov '14, 20:51) anonimo01 anonimo01's gravatar image

Ok dopo che ho fatto cat -n ecc ecc ha fatto un update e poi sono riuscito ad installare finalmente emacs! Grazie a tutti :D

(29 Nov '14, 21:20) Jacopo Jacopo's gravatar image

ok, allora era solo una questione di aggiornare l'indice dei pacchetti, ciao

(29 Nov '14, 21:26) anonimo01 anonimo01's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×165
×4
×1

domanda posta: 29 Nov '14, 16:40

domanda visualizzata: 3,588 volte

ultimo aggiornamento: 29 Nov '14, 21:26

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.